/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/* $Id: getcontrol.h,v 1.22 2003/04/12 20:44:30 dolphy Exp $ */

#ifndef GETCONTROL_H
#define GETCONTROL_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <fcntl.h>
#include <math.h>

#include <gnome.h>
#include <libgnomeui/gnome-window-icon.h>
#include <gconf/gconf-client.h>

#include <gdk/gdkx.h>
#include <gdk/gdkkeysyms.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

#include <gst/play/play.h>
#include "gstvideowidget.h"

#include "xmlconfig.h"

#ifdef HAVE_LIRC

#include "lirc.h"

#endif

#include "interface.h"
#include "draw.h"
#include "callbacks.h"
#include "audio.h"
#include "divx.h"
#include "menu.h"
#include "gst.h"

#define gettext_noop(String) String

/* =============GConf keys path============ */

/* Fullscreen flag key path in GConf */

#define FULLSCREEN_PATH "/apps/getcontrol/global/fullscreen"

/* Visualisation flag key path in GConf */

#define VIS_PATH "/apps/getcontrol/global/visualisation"

/* Selection delay key path in GConf */

#define SELECT_DELAY_PATH "/apps/getcontrol/global/selection_delay"

/* Screensaver delay key path in GConf */

#define SS_DELAY_PATH "/apps/getcontrol/global/screensaver_delay"

/* Animation delay key path in GConf */

#define ANIM_DELAY_PATH "/apps/getcontrol/global/anim_frame_delay"

/* Delay between background switch in SS */

#define BG_SWITCH_DELAY_PATH "/apps/getcontrol/global/bg_ss_switch_delay"

/* Theme key path in GConf */

#define THEME_PATH "/apps/getcontrol/global/theme"

/* Cdrom path key path in GConf */

#define CDROM_PATH "/apps/getcontrol/global/cdrom_path"

/* ======================================== */

/* Offset for placing the first pixbuf at midgnight */

#define ANG_OFFSET 90

/* Offset of each frame's rotation in degrees */

#define ROT_OFFSET 6

/* Maximum alpha reduction */

#define ALPHA_THRESOLD 150

/* Minimum distance between central menu and others */

#define BORDER_THRESOLD 20

#endif
