/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 /* $Id: gst.h,v 1.9 2003/04/12 20:44:30 dolphy Exp $ */

enum {
	PLAYING,
	STOPPED,
	PAUSED,
	EOS
};

enum {
	UNAVAILABLE,
	FROM_STREAM,
	FROM_CD,
	FROM_HD,
	FROM_NFS
};

typedef struct {
	GstPlay * audio_play;
	GstPlay * video_play;
	GstPlay * current_play;
	GtkWidget * vw;
	gchar * audio_location;
	gchar * video_location;
	guint video_play_source;
	guint audio_play_source;
	gint64 audio_length_nanos;
	gint64 video_length_nanos;
} GCMediaPlay;

extern GCMediaPlay * media_play;

extern gboolean visualisation;

 /* play_video
	Function taking care of playing video media at @location.
	If running in fullscreen it creates a gtkpopup and attach events to
	it as xvideosink does not trap events.
	If not running in fullscreen events are trapped by appbar widget giving
	focus to him before.
*/

gboolean play_video (gchar * location, guint play_source);

/* play_audio
	Function taking care of playing audio media at @location.
*/

gboolean play_audio (gchar * location, guint play_source);
