/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 /* $Id: lirc.h,v 1.4 2002/11/06 19:11:46 dolphy Exp $ */
 
#ifndef LIRC_H
#define LIRC_H

#include <lirc/lirc_client.h>

#define LIRC_LEFT		"left"
#define LIRC_RIGHT		"right"
#define LIRC_UP			"up"
#define LIRC_DOWN		"down"
#define LIRC_VALIDATE	"validate"

#define LIRC_FULLSCREEN	"fullscreen"
#define LIRC_MAIN_MENU	"main menu"

#define LIRC_PLAY		"play"
#define LIRC_PAUSE		"pause"
#define LIRC_STOP		"stop"

#define LIRC_VOLUP		"volume up"
#define LIRC_VOLDOWN	"volume down"
#define LIRC_MUTE		"mute"

#define LIRC_EJECT		"eject"

#define LIRC_ZERO		"zero"
#define LIRC_ONE		"one"
#define LIRC_TWO		"two"
#define LIRC_THREE		"three"
#define LIRC_FOUR		"four"
#define LIRC_FIVE		"five"
#define LIRC_SIX		"six"
#define LIRC_SEVEN		"seven"
#define LIRC_EIGHT		"eight"
#define LIRC_NINE		"nine"

extern struct lirc_config * config;
	
extern gint lirc_fd, input_tag;

gboolean execute_lirc_command (gchar *cmd);

gboolean my_lirc_init (void);

gboolean my_lirc_deinit (void);

void lirc_has_data_cb (gpointer data, gint fd, GdkInputCondition condition);

gboolean start_lirc (void);

#endif
