/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/* $Id: xmlconfig.h,v 1.1 2002/10/19 20:44:59 dolphy Exp $ */

#ifndef __XMLCONFIG_H__
#define __XMLCONFIG_H__

#include <stdio.h>

/* ************************************************************************** */

typedef struct {

	/* The XML filename */
	char	* fname;

} xmlconfig;

/* ************************************************************************** */

/* Opens and saves an xml configuration file */

xmlconfig * xmlconfig_open			(const char * fname);
int			xmlconfig_save			(xmlconfig * xconfig, const char * fname);
int			xmlconfig_dump			(xmlconfig * xconfig, FILE * stream);

/* Content management */

char *		xmlconfig_get_content_pos	(xmlconfig * xconfig, const char * path, unsigned int pos);
char *		xmlconfig_get_attribute_pos (xmlconfig * xconfig, char * path, char * attrname, unsigned int pos);
int			xmlconfig_set_content_pos	(xmlconfig * xconfig, char * path, char * value, unsigned int pos);

/* Back macros */

#define xmlconfig_get_content(xconfig,path)				xmlconfig_get_content_pos (xconfig, path, 0);
#define xmlconfig_get_attribute(xconfig,path,attrname)	xmlconfig_get_attribute_pos (xconfig, path, attrname, 0);
#define xmlconfig_set_content(xconfig,path,value)		xmlconfig_set_content_pos (xconfig, path, value, 0);

/* Frees all resources used for the xml configuration file */

void		xmlconfig_close			(xmlconfig * xconfig);

#endif
